среда, 4 июня 2014 г.

Подключение PPAPI Flash Player к Firefox

Не секрет, что Adobe перестала поставлять новые версии Flash Player под Linux, за исключением Google Chrome, разработчики которого самостоятельно выпукают обновленную версию для Linux вместе со своим браузером...


Пока HTML5 медленно набирает обороты, Flash Player еще актуален в наше время.
Энтузиасты всегда старались не оставить в обиде пользователей Linux и искали альтернативы проприетарными программам или различные варианты использования того или иного ПО.
Ранее обновленный Flash Player можно было установить в Chromium из стороннего репозитория, об это я писал ранее. Но начиная с версии Kubuntu 14.04, PPAPI Flash Player доступен из родного репозитория, потому что Chromium отказался от NPAPI:
sudo apt-get instal pepperflashplugin-nonfree
Но если Chromium и Google Chrome братья по коду, то с Firefox уже такой метод не пройдет. И все-таки, обновленный Flash Player теперь можно подключить к Firefox, благодоря Ринату Ибрагимову, который приспособил плагин от Google Chrome в Firefox.
Внимание:
  • Плагин еще находится на стадии тестирования
  • Не гарантируется работа в других браузерах
  • Возможны проблемы с аппаратным декодированием
Установка:
sudo add-apt-repository ppa:nilarimogard/webupd8
sudo apt-get update
sudo apt-get install freshplayerplugin pepperflashplugin-nonfree
Прописываем путь до плагина и указываем настройки:
kate ~/.config/freshwrapper.conf
С содержимым:

# Audio buffer is used to continuously provide sound adapter with data.
# Values too low may lead to buffer underruns and stuttering.  Values
# too high will lead to noticeable latency. Usually plugin selects size
# on its own, but you may override bounds here

# lower bound for audio buffer size, in milliseconds
audio_buffer_min_ms = 20

# higher bound of audio buffer size, in milliseconds
audio_buffer_max_ms = 500

# Xinerama screen used to acquire fullscreen window geometry
xinerama_screen = 0

# Path to the wrapped plugin library
plugin_path = "/usr/lib/pepperflashplugin-nonfree/libpepflashplayer.so"

# "Command-line" arguments for Flash
flash_command_line = "enable_hw_video_decode=1,enable_stagevideo_auto=1"


Теперь нужно перезапустить Firefox и включить плагин в Инструменты-Дополнения-Плагины.



Источник:
webupd8.org

10 комментариев:

  1. А на windows как включить ppapi в firefox?

    ОтветитьУдалить
    Ответы
    1. Наверное установить новую версию Flash с сайта:
      http://get.adobe.com/ru/flashplayer/

      Удалить
    2. Она NNAPI на сайте даже написано при выборе для какого браузера

      Удалить
    3. NPAPI я имел ввиду. Если вам удалось подключить PPAPI в линуксе,думаю может и в виндовс получится

      Удалить
    4. Разве имеет значения NPAPI или PPAPI? По мне главное, что бы работало нормально.

      Удалить
    5. Еще и как имеет. PPAPI более стабилен и производительность у него лучше. Это можно проверить в том же хроме. Поочередно включать. 01, 10 и заметите разницу.

      Удалить
    6. Я если честно Windows уже наверное года 4 не использую, а потому врядли вам помогу. Без обид ))

      Удалить
  2. Спасибо) Установил на Ubuntu 14.10 и решилась проблема с пропавшим звуком в обычном Flash NPAPI

    ОтветитьУдалить
  3. А почему у меня в about:plugins показывает версию 13.1.2.3, а на сайте http://www.adobe.com/software/flash/about/ в браузере определяет как 17.0.0.188?

    ОтветитьУдалить
    Ответы
    1. Ну потому что он не родной, глюки наверн ))
      Я если честно один раз как-то попробовал, он работал не стабильно. Сейчас вообще перешел на Хромиум временно.

      Удалить

Примечание. Отправлять комментарии могут только участники этого блога.